Subject: bug#77313: 30.1.50; Regression: flymake indicators are erroneously using margins

From: Eli Zaretskii <[email-masked]>
Date: Thu, 17 Apr 2025 08:41:12 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 16 Apr 2025 13:57:03 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> >> From: Spencer Baugh <[email-masked]>
> >> Date: Sat, 12 Apr 2025 07:43:11 -0400
> >> Cc: [email-masked], Juri Linkov <[email-masked]>
> >> 
> >> On Sat, Apr 12, 2025, 7:13 AM Eli Zaretskii <[email-masked]> wrote:
> >> 
> >>  Thanks, installed on master.
> >> 
> >>  Should we now close this bug?
> >> 
> >> No, we need to backport it to Emacs 30.2 to fix the regression.
> >
> > OK, but it cannot be cherry-picked as is, because it includes a NEWS
> > entry.  So the fix for emacs-30, when we decide to install it, will
> > need to be a separate commit.
> 
> OK, here is a version ready for backporting to emacs-30, with a NEWS
> entry appropriate for 30.2.

I don't understand: this seems to be identical to the commit on
master.  Did you show a wrong patch?

What I had in mind was a change only to flymake.el, with "Do not
merge" in the commit log message, since you say this is basically a
bugfix.  I see no reason to announce this in NEWS, let alone with an
entry that is identical to what we have on master.

What am I missing?